<?php

App::uses('BuzzGalleryAppModel', 'BuzzGallery.Model');

class Gallery extends BuzzGalleryAppModel {

/**
 * Behaviors
 *
 * @var array
 */
	public $actsAs = array(
		'BuzzTranslate.Translatable'
	);

/**
 * HABTM associations
 *
 * @var array
 */
	public $hasAndBelongsToMany = array(
		'GalleryImage' => array(
			'className' => 'BuzzGallery.GalleryImage'
		)
	);

/**
 * Read for view
 *
 * @param int $id
 * @param array $params
 * @return array
 */
	public function readForView($id, $params = []) {
		$params['contain'] = array(
			'GalleryImage' => array(
				'Image'
			)
		);
		return parent::readForView($id, $params);
	}

}
